#!/usr/bin/env python
import os
import requests
import re
import time
import sys

#os.popen ("sudo -S /home/pi/bitkodi/ucaster/iniciar83.py &", 'w').write("kalixtik10293847")

#os.system ("/home/pi/bitkodi/ucaster/iniciar83.py")

os.system ("/home/pi/bitkodi/ucaster/borrarreboot")

cookie_value=""
user_agent="Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_2) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.181 Safari/537.36"

headers = {"Cookie": "beget=begetok; %s" % (cookie_value),"User-Agent": "%s" % (user_agent)}

busquedafr=sys.argv[1]

reinicios=sys.argv[2]

print (busquedafr)

busquedafr=str.replace(busquedafr,"ESPACIO","%20")

if (busquedafr=="REALMADRID"):
 busquedafr="REAL%20MADRID"

if (busquedafr=="FCBARCELONA"):
 busquedafr="FC%20BARCELONA"

#embed2 = requests.get("http://lodejo.ru/futbolgratis-kodi.php?busqueda="+busquedafr, headers=headers).content
embed2 = requests.get("http://jmir.homelinux.com:83/rusd.php?busqueda="+busquedafr, headers=headers).content
#embed2 = requests.get("http://localhost/rusd.php?busqueda="+busquedafr, headers=headers).content

re5="VACIO"

try:
 re5=re.findall('acestream\:\/\/(.*?)\"', embed2.decode('utf-8'))[0]
except:
 sys.exit(1)
print (re5)

if (re5=="" or re==" " or re=="VACIO"):
 sys.exit(1)

if (sys.argv[1]=="REAL"):
 os._exit(1)
#while 1==1:
#os.system ("ffmpeg -re -i http://applive.online:25461/live/Fran0083/12340007/9056.m3u8 -c:v libx264 -sample_rate 44100 -acodec aac -f flv 'rtmp://pubucaster.com/live/Prueba_canal_rtmp_4?key=f4b6d511&id=85006'")
os.popen ("sudo -S /home/pi/bitkodi/ucaster/emitir1 "+re5+" &", 'w').write("kalixtik10293847")
#os.popen ("sudo -S /home/pi/bitkodi/emitir2 "+re5+" &", 'w').write("kalixtik10293847")

os.system ("/home/pi/bitkodi/ucaster/emitir3 "+re5+" "+sys.argv[1]+" "+sys.argv[2])

